Bug 973453 - [abrt] lyx-2.0.6-1.fc18: lyx::error_handler: Process /usr/bin/lyx was killed by signal 6 (SIGABRT)
[abrt] lyx-2.0.6-1.fc18: lyx::error_handler: Process /usr/bin/lyx was killed ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lyx (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
abrt_hash:f4f4bed6ecd941c7d162abf13b0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 19:49 EDT by Paulo Fessel
Modified: 2014-02-04 10:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-04 10:20:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (49.74 KB, text/plain)
2013-06-11 19:49 EDT, Paulo Fessel
no flags Details
File: cgroup (133 bytes, text/plain)
2013-06-11 19:50 EDT, Paulo Fessel
no flags Details
File: core_backtrace (4.87 KB, text/plain)
2013-06-11 19:50 EDT, Paulo Fessel
no flags Details
File: dso_list (16.23 KB, text/plain)
2013-06-11 19:50 EDT, Paulo Fessel
no flags Details
File: environ (3.01 KB, text/plain)
2013-06-11 19:50 EDT, Paulo Fessel
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-11 19:50 EDT, Paulo Fessel
no flags Details
File: maps (97.71 KB, text/plain)
2013-06-11 19:50 EDT, Paulo Fessel
no flags Details
File: open_fds (499 bytes, text/plain)
2013-06-11 19:50 EDT, Paulo Fessel
no flags Details
File: proc_pid_status (951 bytes, text/plain)
2013-06-11 19:50 EDT, Paulo Fessel
no flags Details
File: xsession_errors (8.10 KB, text/plain)
2013-06-11 19:50 EDT, Paulo Fessel
no flags Details

  None (edit)
Description Paulo Fessel 2013-06-11 19:49:53 EDT
Description of problem:
I was just corretcting some text at LyX when the SIGSEV occurred, nothing special

Version-Release number of selected component:
lyx-2.0.6-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/lyx
crash_function: lyx::error_handler
executable:     /usr/bin/lyx
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jun 11 17:19:34 wotan abrt[21384]: Saved core dump of pid 18240 (/usr/bin/lyx) to /var/tmp/abrt/ccpp-2013-06-11-17:19:31-18240 (298500096 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 lyx::error_handler at LyX.cpp:683
 #4 lyx::Tabular::numberOfCellsInRow at insets/InsetTabular.cpp:925
 #5 lyx::Tabular::getFirstCellInRow at insets/InsetTabular.cpp:1381
 #6 lyx::InsetTabular::doDispatch at insets/InsetTabular.cpp:3875
 #7 lyx::Inset::dispatch at insets/Inset.cpp:314
 #8 lyx::Cursor::dispatch at Cursor.cpp:368
 #9 lyx::BufferView::mouseEventDispatch at BufferView.cpp:2163
 #10 lyx::frontend::GuiWorkArea::dispatch at GuiWorkArea.cpp:526
 #11 lyx::frontend::GuiWorkArea::mousePressEvent at GuiWorkArea.cpp:779
 #12 QWidget::event at kernel/qwidget.cpp:8371
Comment 1 Paulo Fessel 2013-06-11 19:49:57 EDT
Created attachment 759884 [details]
File: backtrace
Comment 2 Paulo Fessel 2013-06-11 19:50:00 EDT
Created attachment 759885 [details]
File: cgroup
Comment 3 Paulo Fessel 2013-06-11 19:50:03 EDT
Created attachment 759886 [details]
File: core_backtrace
Comment 4 Paulo Fessel 2013-06-11 19:50:06 EDT
Created attachment 759887 [details]
File: dso_list
Comment 5 Paulo Fessel 2013-06-11 19:50:10 EDT
Created attachment 759888 [details]
File: environ
Comment 6 Paulo Fessel 2013-06-11 19:50:12 EDT
Created attachment 759889 [details]
File: limits
Comment 7 Paulo Fessel 2013-06-11 19:50:16 EDT
Created attachment 759890 [details]
File: maps
Comment 8 Paulo Fessel 2013-06-11 19:50:19 EDT
Created attachment 759891 [details]
File: open_fds
Comment 9 Paulo Fessel 2013-06-11 19:50:22 EDT
Created attachment 759892 [details]
File: proc_pid_status
Comment 10 Paulo Fessel 2013-06-11 19:50:25 EDT
Created attachment 759893 [details]
File: xsession_errors
Comment 11 José Matos 2013-06-13 14:08:45 EDT
I have report this to lyx-devel mailing list. I am waiting for feedback there to take further action(s).

Thanks for the report.
Comment 12 José Matos 2013-06-14 10:49:00 EDT
Have you changed any table before the crash?

Do you remember what were the last changes you did?

I am asking this in order to be able to reproduce the bug.
Comment 13 Paulo Fessel 2013-06-14 10:58:42 EDT
Yes, if I'm not mistaken I was exactly editing a table on the document when LyX just blew in my face.
Comment 14 Fedora End Of Life 2013-12-21 08:58:16 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 José Matos 2014-02-04 10:20:53 EST
lyx-2.0.7 has been released with some fixes on tables so I will close this bug.

Feel free to reopen it if the problem persists.

Note You need to log in before you can comment on or make changes to this bug.